<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>Phonon.Experimental.AvCapture</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>AvCapture Class Reference</h1>
<code>from PyKDE4.phonon import *</code>
<p>
Inherits: <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qobject.html">QObject</a>,<a href="../phonon/Phonon.MediaNode.html">Phonon.MediaNode</a><br />

Namespace: Phonon::Experimental<br />
<h2>Detailed Description</h2>

<p>Media data from a soundcard, soundserver, camera or any other
hardware device supported by the backend.
</p>
<p>
This class gives you access to the capture capabilities of the backend.
There might be more than only one possible capture source, for audio, as
well as for video. The list of available sources is available through
BackendCapabilities.availableAudioCaptureDevices and
BackendCapabilities.availableVideoCaptureDevices.
</p>
<p>

<dl class="author" compact><dt><b>Author:</b></dt><dd> Matthias Kretz &lt;kretz@kde.org&gt; </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd> BackendCapabilities.availableAudioCaptureDevices
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> BackendCapabilities.availableVideoCaptureDevices
</dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">Phonon.AudioCaptureDevice&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174894636">audioCaptureDevice</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174892364">setAudioCaptureDevice</a> (self, Phonon.AudioCaptureDevice source)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193690924">setAudioCaptureDevice</a> (self, Phonon.Category category)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193689004">setVideoCaptureDevice</a> (self, VideoCaptureDevice source)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193688236">setVideoCaptureDevice</a> (self, Phonon.Category category)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185753388">start</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj185751980">stop</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">VideoCaptureDevice&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj174863820">videoCaptureDevice</a> (self)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj174894636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">Phonon.AudioCaptureDevice audioCaptureDevice</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the currently used capture source for the audio signal.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> AudioCaptureDevice
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setAudioCaptureDevice(const AudioCaptureDevice &amp;)
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setAudioCaptureDevice(int)
</dd></dl>
</p></div></div><a class="anchor" name="obj174892364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAudioCaptureDevice</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Phonon.AudioCaptureDevice&nbsp;</td>
<td class="paramname"><em>source</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the audio capture source to use.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>source</em>&nbsp;</td><td> An object of class AudioCaptureDevice. A list of
available objects can be queried from
BackendCapabilities.availableAudioCaptureDevices.
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> audioCaptureDevice
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setAudioCaptureDevice(int)
</dd></dl>
</p></div></div><a class="anchor" name="obj193690924"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setAudioCaptureDevice</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Phonon.Category&nbsp;</td>
<td class="paramname"><em>category</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj193689004"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setVideoCaptureDevice</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">VideoCaptureDevice&nbsp;</td>
<td class="paramname"><em>source</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the video capture source to use.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>source</em>&nbsp;</td><td> An object of class VideoCaptureDevice. A list of
available objects can be queried from
BackendCapabilities.availableVideoCaptureDevices.
</td></tr>
</table></dl>
<p> <dl class="see" compact><dt><b>See also:</b></dt><dd> videoCaptureDevice
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setVideoCaptureDevice(int)
</dd></dl>
</p></div></div><a class="anchor" name="obj193688236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setVideoCaptureDevice</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">Phonon.Category&nbsp;</td>
<td class="paramname"><em>category</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"></div></div><a class="anchor" name="obj185753388"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> start</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Start capture.
</p></div></div><a class="anchor" name="obj185751980"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> stop</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Stop capture.
</p></div></div><a class="anchor" name="obj174863820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">VideoCaptureDevice videoCaptureDevice</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the currently used capture source for the video signal.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> VideoCaptureDevice
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setVideoCaptureDevice(const VideoCaptureDevice &amp;)
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setVideoCaptureDevice(int)
</dd></dl>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
